org.eclnt.jsfserver.pagebean.component

## Class PageBeanComponent

- java.lang.Object
- - org.eclnt.jsfserver.pagebean.PageBean
  - - org.eclnt.jsfserver.pagebean.component.PageBeanComponent

- All Implemented Interfaces:
    IPageBeanComponent, IPageBean, IDynamicContentBindingObject
  Direct Known Subclasses:
    ComplexValueEditor

      public abstract class PageBeanComponent
      extends PageBean
      implements IPageBeanComponent

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `PageBeanComponent.ILiteralResolver` Interface for adding an own literal resolution.
    `class` | `PageBeanComponent.LitMap` Internal usage.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PageBeanComponent()` Default constructor, the component is used as "column control".
    `PageBeanComponent(boolean usedAsRow)` Constructor, in which you can decide to use the component as "row control".

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `findLiteralResourceName()` Find the name of the properties-file in which the default literal resolution looks for literal translations.
    `protected java.lang.String` | `getLayoutPath()` Finds the resource path for accessing the component's layout-xml.
    `PageBeanComponent.LitMap` | `getLit()` Access to literal map from outside.
    `PageBeanComponent.ILiteralResolver` | `getLiteralResolver()` There is a default mechanism how literals of a page bean component are resolved: the component uses resource files that have the same name as the component's class.
    `java.lang.String` | `getPageName()` Name of page that is managed by the bean.
    `protected java.lang.String` | `readLiteral(java.lang.String key)`
    `void` | `setLiteralResolver(PageBeanComponent.ILiteralResolver literalResolver)`

    - ### Methods inherited from class org.eclnt.jsfserver.pagebean.PageBean

      `buildContentReplaceString, closePopup, getActualRootExpression, getPopups, getRootExpressionUsedInPage, initializePageBean, isInitialized, onBeforeRendering, openModalPopup, openModelessPopup, pbx, readPageLayoutXML, setActualRootExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclnt.jsfserver.pagebean.IPageBean

      `closePopup, getActualRootExpression, getRootExpressionUsedInPage, initializePageBean, isInitialized, onBeforeRendering, openModalPopup, openModelessPopup, setActualRootExpression`

- - ### Constructor Detail

    - #### PageBeanComponent

          public PageBeanComponent()

      Default constructor, the component is used as "column control". A typical component arrangement would be:
      ROW
      ..LABEL
      ..
      ..LABEL

    - #### PageBeanComponent

          public PageBeanComponent(boolean usedAsRow)

      Constructor, in which you can decide to use the component as "row control". A typical arrangement would be.
      ROWBODyPANE
      ..ROW
      ..
      ..ROW
      Another tpyical use case: you want to use the component within a modal or modeless dialog. Dialogs expects contained page beans to be row controls.

  - ### Method Detail

    - #### getLiteralResolver

          public PageBeanComponent.ILiteralResolver getLiteralResolver()

      There is a default mechanism how literals of a page bean component are resolved: the component uses resource files that have the same name as the component's class. You may add some own literal resolved in front of this default mechanism so that you can influence all literals of the component on your own. - You may use this mechanism if you want to use different texts and/or if you want to provide for translated texts in languages that the component so far does not provide.

    - #### setLiteralResolver

          public void setLiteralResolver(PageBeanComponent.ILiteralResolver literalResolver)

    - #### getPageName

          public java.lang.String getPageName()

      Description copied from interface: `IPageBean`
      Name of page that is managed by the bean. This can either be a static return value that stays fix for the whole lifecycle of the bean, or it may also be a value that changed - in case there are several pages that are possible to be managed by the page bean.
      Specified by:
        `getPageName` in interface `IPageBean`
      Specified by:
        `getPageName` in class `PageBean`

    - #### getLit

          public PageBeanComponent.LitMap getLit()

      Access to literal map from outside.

    - #### getLayoutPath

          protected java.lang.String getLayoutPath()

      Finds the resource path for accessing the component's layout-xml. By default the xml is contained in a ".xml" file which has the name of the component and which resides in the same package as the component.

    - #### readLiteral

          protected java.lang.String readLiteral(java.lang.String key)

    - #### findLiteralResourceName

          protected java.lang.String findLiteralResourceName()

      Find the name of the properties-file in which the default literal resolution looks for literal translations.

Copyright © CaptainCasa Gmbh. All Rights Reserved.